let database ={
    "posts": [
      {
        "id": 1,
        "name": "Что выгоднее: заказать в магазине или купить в супермаркете?",
        "description": "Главный технолог рассказывает о том, как варим бульоны и гарантируем качество до последней капли.",
        "detail_text": "Задача организации, в особенности же укрепление и развитие структуры позволяет оценить значение системы обучения кадров, соответствует насущным потребностям. Разнообразный и богатый опыт рамки и место обучения кадров играет важную роль в формировании позиций, занимаемых участниками в отношении поставленных задач. Значимость этих проблем настолько очевидна, что рамки и место обучения кадров обеспечивает широкому кругу (специалистов) участие в формировании системы обучения кадров, соответствует насущным потребностям. Товарищи! начало повседневной работы по формированию позиции способствует подготовки и реализации системы обучения кадров, соответствует насущным потребностям.",
        "tag": "компания",
        "date": "16 сентября 2021",
        "image": "1.png",
        "like": "11"
      },
      {
        "id": 2,
        "name": "Что выгоднее: заказать в магазине или купить в супермаркете?",
        "description": "Главный технолог рассказывает о том, как варим бульоны и гарантируем качество до последней капли.",
        "detail_text": "Задача организации, в особенности же укрепление и развитие структуры позволяет оценить значение системы обучения кадров, соответствует насущным потребностям. Разнообразный и богатый опыт рамки и место обучения кадров играет важную роль в формировании позиций, занимаемых участниками в отношении поставленных задач. Значимость этих проблем настолько очевидна, что рамки и место обучения кадров обеспечивает широкому кругу (специалистов) участие в формировании системы обучения кадров, соответствует насущным потребностям. Товарищи! начало повседневной работы по формированию позиции способствует подготовки и реализации системы обучения кадров, соответствует насущным потребностям.",
        "tag": "компания",
        "date": "19 сентября 2020",
        "image": "1.png",
        "like": 6
      },
      {
        "id": 3,
        "name": "Что выгоднее: заказать в магазине или купить в супермаркете?",
        "description": "Главный технолог рассказывает о том, как варим бульоны и гарантируем качество до последней капли.",
        "detail_text": "Задача организации, в особенности же укрепление и развитие структуры позволяет оценить значение системы обучения кадров, соответствует насущным потребностям. Разнообразный и богатый опыт рамки и место обучения кадров играет важную роль в формировании позиций, занимаемых участниками в отношении поставленных задач. Значимость этих проблем настолько очевидна, что рамки и место обучения кадров обеспечивает широкому кругу (специалистов) участие в формировании системы обучения кадров, соответствует насущным потребностям. Товарищи! начало повседневной работы по формированию позиции способствует подготовки и реализации системы обучения кадров, соответствует насущным потребностям.",
        "tag": "компания",
        "date": "13 сентября 2019",
        "image": "1.png",
        "like": 3
      },
      {
        "id": 4,
        "name": "Что выгоднее: заказать в магазине или купить в супермаркете?",
        "description": "Главный технолог рассказывает о том, как варим бульоны и гарантируем качество до последней капли.",
        "detail_text": "Задача организации, в особенности же укрепление и развитие структуры позволяет оценить значение системы обучения кадров, соответствует насущным потребностям. Разнообразный и богатый опыт рамки и место обучения кадров играет важную роль в формировании позиций, занимаемых участниками в отношении поставленных задач. Значимость этих проблем настолько очевидна, что рамки и место обучения кадров обеспечивает широкому кругу (специалистов) участие в формировании системы обучения кадров, соответствует насущным потребностям. Товарищи! начало повседневной работы по формированию позиции способствует подготовки и реализации системы обучения кадров, соответствует насущным потребностям.",
        "tag": "компания",
        "date": "11 сентября 2019",
        "image": "1.png",
        "like": 9
      },
      {
        "id": 5,
        "name": "Что выгоднее: заказать в магазине или купить в супермаркете?",
        "description": "Главный технолог рассказывает о том, как варим бульоны и гарантируем качество до последней капли.",
        "detail_text": "Задача организации, в особенности же укрепление и развитие структуры позволяет оценить значение системы обучения кадров, соответствует насущным потребностям. Разнообразный и богатый опыт рамки и место обучения кадров играет важную роль в формировании позиций, занимаемых участниками в отношении поставленных задач. Значимость этих проблем настолько очевидна, что рамки и место обучения кадров обеспечивает широкому кругу (специалистов) участие в формировании системы обучения кадров, соответствует насущным потребностям. Товарищи! начало повседневной работы по формированию позиции способствует подготовки и реализации системы обучения кадров, соответствует насущным потребностям.",
        "tag": "компания",
        "date": "16 сентября 2013",
        "image": "1.png",
        "like": 2
      },
      {
        "id": 6,
        "name": "Что выгоднее: заказать в магазине или купить в супермаркете?",
        "description": "Главный технолог рассказывает о том, как варим бульоны и гарантируем качество до последней капли.",
        "detail_text": "Задача организации, в особенности же укрепление и развитие структуры позволяет оценить значение системы обучения кадров, соответствует насущным потребностям. Разнообразный и богатый опыт рамки и место обучения кадров играет важную роль в формировании позиций, занимаемых участниками в отношении поставленных задач. Значимость этих проблем настолько очевидна, что рамки и место обучения кадров обеспечивает широкому кругу (специалистов) участие в формировании системы обучения кадров, соответствует насущным потребностям. Товарищи! начало повседневной работы по формированию позиции способствует подготовки и реализации системы обучения кадров, соответствует насущным потребностям.",
        "tag": "компания",
        "date": "25 сентября 2018",
        "image": "1.png",
        "like": 5
      },
      {
        "id": 7,
        "name": "Что выгоднее: заказать в магазине или купить в супермаркете?",
        "description": "Главный технолог рассказывает о том, как варим бульоны и гарантируем качество до последней капли.",
        "detail_text": "Задача организации, в особенности же укрепление и развитие структуры позволяет оценить значение системы обучения кадров, соответствует насущным потребностям. Разнообразный и богатый опыт рамки и место обучения кадров играет важную роль в формировании позиций, занимаемых участниками в отношении поставленных задач. Значимость этих проблем настолько очевидна, что рамки и место обучения кадров обеспечивает широкому кругу (специалистов) участие в формировании системы обучения кадров, соответствует насущным потребностям. Товарищи! начало повседневной работы по формированию позиции способствует подготовки и реализации системы обучения кадров, соответствует насущным потребностям.",
        "tag": "компания",
        "date": "10 сентября 2019",
        "image": "1.png",
        "like": 4
      }
    ]
  }

database = JSON.parse(JSON.stringify(database));

console.log(database.posts.length);
let mainDiv = document.querySelector('.list');
for (let i = 0; i < database.posts.length; i++) {
    console.log(mainDiv);
    mainDiv.innerHTML += '<div class="card">' +
    '        <div class="sharp">' +
    '            <div class="sharp">' +
    '                <a href="frame2.html"><img src="img/img' + database.posts[i].image + '" alt="" class="img" /></a>' +
    '            </div>' +
    '            <div id="komp">#' + database.posts[i].tag + '</div>' +
    '        </div>' +
    '        <div class="card__title">' +
    '            <p>' + database.posts[i].name + '</p>' +
    '        </div>' +
    '        <div class="card__subtitle">' +
    '            <p>' + database.posts[i].description + '</p>' +
    '        </div>' +
    '        <div class="card__footer">' +
    '            <div class="card__date">' + database.posts[i].date + '</div>' +
    '            <div class="like">' +
    '                <span class="iconify" data-inline="false" data-icon="clarity:heart-solid" style="color: #eb5757; font-size: 14px"></span>' +
    '                <p>' + database.posts[i].like + '</p>' +
    '            </div>' +
    '        </div>' +
    '    </div>';
}
